#ifndef RES_DEFINES_H_INCLUDED
#define RES_DEFINES_H_INCLUDED

#define RID_STR_ANALYZE_SETUP_COMPLETE  1400
#define RID_STR_ANALYZE_NUM_DOCS		1401
#define RID_STR_ANALYZE_RUN_TOOL		1404
#define RID_STR_ANALYZE_VIEW_RESULTS	1406
#define RID_STR_ANALYZE_COMPLETED 		1412
#define RID_STR_ANALYZE_START 		    1413
#define RID_STR_ANALYZE_VIEW_NOW	    1414
#define	RID_STR_ANALYZE_VIEW_LATER	    1415
#define RID_STR_ANALYSE_NOT_RUN         1416    

#define RID_STR_ANALYZE_PREPARE_DOCS    1411

#define RID_STR_ANALYZE_DOCUMENTS		1402
#define RID_STR_ANALYZE_TEMPLATES		1403
#define RID_STR_ANALYZE_DOCUMENTS_XLS 	1408
#define RID_STR_ANALYZE_DOCUMENTS_PPT 	1409

#define RID_STR_ERROR_AUTOMATION_SERVER_FAILED		    1920
#define RID_STR_ERROR_CANNOT_CREATE_RESULTS_DIRECTORY   1904
#define RID_STR_ERROR_CHOOSE_DOCUMENT_TYPE              1902
#define RID_STR_ERROR_CREATE_FILE		                1922
#define RID_STR_ERROR_EXCEL_ANALYSIS_FAILED             1907
#define RID_STR_ERROR_EXCEL_OPEN                        1918
#define RID_STR_ERROR_MACRO_SECURITY_SET                1919
#define RID_STR_ERROR_MISSING_DOCUMENTS_DIRECTORY       1901
#define RID_STR_ERROR_MISSING_EXCEL_DRIVER		1906
#define RID_STR_ERROR_MISSING_ISSUES_LIST		1915
#define RID_STR_ERROR_MISSING_MIGRATION_RESULTS		1900
#define RID_STR_ERROR_MISSING_POWERPOINT_DRIVER		1911
#define RID_STR_ERROR_MISSING_README		1910
#define RID_STR_ERROR_MISSING_RESULTS_TEMPLATE		1905
#define RID_STR_ERROR_MISSING_WORD_DRIVER		1908
#define RID_STR_ERROR_MSOFFICE_9_REQUIRED		1913
#define RID_STR_ERROR_NO_RESULTS_DIRECTORY		1921
#define RID_STR_ERROR_POWERPOINT_ANALYSIS_FAILED		1912
#define RID_STR_ERROR_RESULTS_DIRECTORY_DOES_NOT_EXIST 	1903
#define RID_STR_ERROR_RESULTS_SPREADSHEET_OPEN		1917
#define RID_STR_ERROR_VERSION_MISMATCH		1914
#define RID_STR_ERROR_WIN2000_REQUIRED		1916
#define RID_STR_ERROR_WORD_ANALYSIS_FAILED		1909
#define RID_STR_ERROR_APP_NOT_INSTALLED		1924
#define RID_STR_ERROR_CDROM_NOT_ALLOWED 	1925
#define RID_STR_ERROR_CDROM_NOT_READY   	1926
#define RID_STR_ERROR_NO_WRITE_TO_READ_ONLY_FOLDER 	1927
#define RID_STR_ERROR_APPLICATION_STILL_RUNNING 	1928
#define RID_STR_ERROR_MISSING_IMPORTANT_FILE 	1929


#define RID_STR_INTRODUCTION 	1100
#define RID_STR_INTRODUCTION_INTRO1 	1101
#define RID_STR_INTRODUCTION_INTRO2 	1102
#define RID_STR_INTRODUCTION_INTRO3 	1104

#define RID_STR_NAVBAR_BACK_BTN 	1021
#define RID_STR_NAVBAR_EXIT_BTN 	1024
#define RID_STR_NAVBAR_FINISH_BTN 	1023
#define RID_STR_NAVBAR_HELP_BTN 	1020
#define RID_STR_NAVBAR_NEXT_BTN 	1022


#define RID_STR_RESULTS_CHOOSE_OPTIONS 1300
#define RID_STR_RESULTS_RESULTS_SPREADSHEET 1301
#define RID_STR_RESULTS_ANALYSIS_XLS		1302
#define RID_STR_RESULTS_RESULTS_DIRECTORY 1304
#define RID_STR_RESULTS_CHOOSE_SAVE_OPTIONS 	1311
#define RID_STR_RESULTS_CHOOSE_PROMPT 	1312
#define RID_STR_RESULTS_CHOOSE_OVERWRITE 	1313
#define RID_STR_RESULTS_CHOOSE_APPEND 	1314

#define RID_STR_OTHER_APPLICATON_LOG_PATH		1812
#define RID_STR_OTHER_RUNNING		1810
#define RID_STR_OTHER_SELECT_ANALYZE_DIRECTORY		1806
#define RID_STR_OTHER_SELECT_RESULTS_DIRECTORY		1807
#define RID_STR_OTHER_XML_RESULTS		1815
#define RID_STR_OTHER_README_PATH		1805

#define RID_STR_DOCUMENTS_CHOOSE_DOCUMENTS		1200
#define RID_STR_DOCUMENTS_DOCUMENTS_DIRECTORY		1201
#define RID_STR_DOCUMENTS_INCLUDE_SUBDIRECTORIES		1202
#define RID_STR_DOCUMENTS_ROOT_C		1205
#define RID_STR_DOCUMENTS_CHOOSE_DOC_TYPES 1206
#define RID_STR_DOCUMENTS_CHOOSE_WORD 1207
#define RID_STR_DOCUMENTS_CHOOSE_DOC 1208
#define RID_STR_DOCUMENTS_CHOOSE_DOT 1209
#define RID_STR_DOCUMENTS_CHOOSE_EXCEL 1210
#define RID_STR_DOCUMENTS_CHOOSE_XLS 1211
#define RID_STR_DOCUMENTS_CHOOSE_XLT 1212
#define RID_STR_DOCUMENTS_CHOOSE_POWERPOINT 1213
#define RID_STR_DOCUMENTS_CHOOSE_PPT 1214
#define RID_STR_DOCUMENTS_CHOOSE_POT 1215

#define RID_STR_SIDEBAR_STEPS 	1040
#define RID_STR_SIDEBAR_INTRODUCTION 	1041
#define RID_STR_SIDEBAR_DOCUMENTS 	1042
#define RID_STR_SIDEBAR_RESULTS 	1043
#define RID_STR_SIDEBAR_ANALYZE 	1044

#define RID_STR_TITLE 	1000
#define RID_STR_PRODUCTNAME 	1001


// Preparation
#define RID_STR_SIDEBAR_ANALYZE_PREP 1074
#define RID_STR_TITLE_PREP 1030

#define RID_STR_INTRODUCTION_INTRO1_PREP 	1131
#define RID_STR_INTRODUCTION_INTRO2_PREP 	1132
#define RID_STR_INTRODUCTION_INTRO3_PREP 	1134

#define RID_STR_DOCUMENTS_CHOOSE_DOCUMENTS_PREP		1230
#define RID_STR_DOCUMENTS_INCLUDE_SUBDIRECTORIES_PREP		1232
#define RID_STR_DOCUMENTS_CHOOSE_DOC_TYPES_PREP 1236

#define RID_STR_IGNORE_OLDER_CB_ID 1231
#define RID_STR_IGNORE_OLDER_3_MONTHS_ID 1233
#define RID_STR_IGNORE_OLDER_6_MONTHS_ID 1234
#define RID_STR_IGNORE_OLDER_12_MONTHS_ID 1235

#define RID_STR_RESULTS_CHOOSE_OPTIONS_PREP 1330
#define RID_STR_RESULTS_ANALYSIS_XLS_PREP		1332

#define RID_STR_ANALYZE_NUM_DOCS_PREP		1431
#define RID_STR_ANALYZE_SETUP_COMPLETE_PREP		1430
#define RID_STR_ANALYZE_IGNORED_DOCS        1435

#define RID_STR_OTHER_PLEASE_REFER_TO_README_PREP   1838
#define RID_STR_OTHER_XML_RESULTS_PREP              1845
#define RID_STR_OTHER_PREPARE_PROMPT_PREP           1846
#define RID_STR_OTHER_PREPARE_COMPLETED_PREP 		1847

// Progress
#define RID_STR_PROGRESS_CAPTION        1820
#define RID_STR_PROGRESS_ABORTING       1821
#define RID_STR_PROGRESS_PATH_LABEL     1822
#define RID_STR_PROGRESS_FILE_LABEL     1823
#define RID_STR_PROGRESS_INFO_LABEL     1824
#define RID_STR_PROGRESS_WAIT_LABEL     1825

#define RID_STR_SEARCH_CAPTION          1826
#define RID_STR_SEARCH_INFO_LABEL       1827
#define RID_STR_SEARCH_FOUND_LABEL      1828

#define RID_STR_TERMINATE_CAPTION       1830
#define RID_STR_TERMINATE_INFO          1831
#define RID_STR_TERMINATE_YES           1832
#define RID_STR_TERMINATE_NO            1833
#endif
